"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const cellProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  title: String,
  value: uni_modules_wotDesignUni_components_common_props.makeNumericProp(""),
  icon: String,
  iconSize: uni_modules_wotDesignUni_components_common_props.numericProp,
  label: String,
  isLink: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  to: String,
  replace: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  clickable: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  size: String,
  border: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(void 0),
  titleWidth: String,
  center: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  required: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  vertical: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  prop: String,
  rules: uni_modules_wotDesignUni_components_common_props.makeArrayProp(),
  customIconClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customLabelClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customValueClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customTitleClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  valueAlign: uni_modules_wotDesignUni_components_common_props.makeStringProp("right"),
  ellipsis: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  useTitleSlot: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  markerSide: uni_modules_wotDesignUni_components_common_props.makeStringProp("before")
};
exports.cellProps = cellProps;
